The "Update Redirect By Id" API Allows updating an existing URL redirect in the system. Use this endpoint to modify a URL redirect with the specified ID using details provided in the request payload.

http
PATCH https://services.leadconnectorhq.com/funnels/lookup/redirect/{id}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
idstringYes

Body

NameTypeRequiredExampleDescription
targetstringYeshttps://www.google.com
actionstringYesURLPossible values: 'funnel', 'website', 'url', 'all'
locationIdstringYes6p2RxpgtMKQwO3E6IUaT

Responses

200 - Successful response
  • data (object, required): Data containing details of the updated redirect

json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X PATCH 'https://services.leadconnectorhq.com/funnels/lookup/redirect/YOUR_id' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "target": "https://www.google.com",
  "action": "URL",
  "locationId": "6p2RxpgtMKQwO3E6IUaT"
}'

Last updated October 26, 2026

Was this page helpful?